# Uses of Enum Class
com.ocient.cli.extract.ExtractConfiguration.BinaryFormat

Packages that use ExtractConfiguration.BinaryFormat
Package
Description
com.ocient.cli.extract
com.ocient.cli.extract.wrappers

## Uses of ExtractConfiguration.BinaryFormat in com.ocient.cli.extract

Methods in com.ocient.cli.extract that return ExtractConfiguration.BinaryFormat
Modifier and Type
Method
Description
`ExtractConfiguration.BinaryFormat`
ExtractConfiguration.`getBinaryFormat()`
`static ExtractConfiguration.BinaryFormat`
ExtractConfiguration.BinaryFormat.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ExtractConfiguration.BinaryFormat[]`
ExtractConfiguration.BinaryFormat.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of ExtractConfiguration.BinaryFormat in com.ocient.cli.extract.wrappers

Methods in com.ocient.cli.extract.wrappers with parameters of type ExtractConfiguration.BinaryFormat
Modifier and Type
Method
Description
`static ByteArrayWrapper`
ByteArrayWrapperFactory.`getWrapper(byte[] byteArray, ExtractConfiguration.BinaryFormat binaryFormat)`